Bug 442098 - won't read rescue off of boot.iso
won't read rescue off of boot.iso
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-11 14:06 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 13:46:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-11 14:06:00 EDT
Description of problem:

When I choose 'local CD' for the rescue image, it kicks out the CD and says 'The
Fedora disc was not found in any of your CDROM drives'...

Version-Release number of selected component (if applicable):

rawhide-20080411
Comment 1 Bill Nottingham 2008-04-11 14:08:01 EDT
And.... if I pick a URL, it happily says 'Local installation media detected'. Heh.
Comment 2 Chris Lumens 2008-04-15 04:30:56 EDT
This should be fixed in the next build of anaconda.
Comment 3 Chris Lumens 2008-04-18 05:29:52 EDT
I know you tested this last night but I'd like to get it in the bug for our
future reference.  If you revert f1d7351d39e0238baaaf0fdb0be34ac3f0c86d92 and
4725fff23a35799137ccece6fbb7c518c57ff311, then apply this patch:

diff --git a/loader2/cdinstall.c b/loader2/cdinstall.c
index 1dd28cf..efe1c8a 100644
--- a/loader2/cdinstall.c
+++ b/loader2/cdinstall.c
@@ -375,7 +375,7 @@ char * findAnacondaCD(char * location,
 char * mountCdromImage(struct installMethod * method,
                        char * location, struct loaderData_s * loaderData) {
 
-    return setupCdrom(location, loaderData, 1, 1);
+    return setupCdrom(location, loaderData, 1, !FL_RESCUE(flags));
 }
 
 void setKickstartCD(struct loaderData_s * loaderData, int argc, char ** argv) {

What is the exact UI flow then?  You said it's still asking for you to enter the
location of the rescue media.  As long as you enter "local CD" on that menu,
does it then proceed to run just fine, or is it still ejecting the CD and asking
you again?
Comment 4 Bill Nottingham 2008-04-18 09:50:57 EDT
It asks for the location of the rescue image (CD, URL, etc.). If I choose 'local
CDROM', it works.
Comment 5 Chris Lumens 2008-04-18 09:55:54 EDT
Is this consistent with previous behavior or did we automatically determine that
it was on the CD and continue without asking?  I can't remember anymore.
Comment 6 Bill Nottingham 2008-04-18 10:50:16 EDT
F8 automatically mounted the rescue image on the CD.
Comment 7 Chris Lumens 2008-04-18 12:09:49 EDT
Committed the above patch.  We can work on making it automatic again later but
at least now it won't do the media eject dance.
Comment 8 Bill Nottingham 2008-04-22 13:46:45 EDT
With today's rawhide, it works automatically. Woo!

Note You need to log in before you can comment on or make changes to this bug.